[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-Id: <591b0f764fd9eb0bc7873ef775052cb038484ae7.1321904550.git.dvhart@linux.intel.com>
Date: Mon, 21 Nov 2011 11:42:29 -0800
From: Darren Hart <dvhart@...ux.intel.com>
To: Linux Kernel Mailing List <linux-kernel@...r.kernel.org>
Cc: John Stultz <johnstul@...ibm.com>,
Andrew Morton <akpm@...ux-foundation.org>,
Sam Ravnborg <sam@...nborg.org>, gthelen@...gle.com,
Dmitry Fink <Dmitry.Fink@...m.com>,
Eric B Munson <ebmunson@...ibm.com>,
Bruce Ashfield <Bruce.Ashfield@...driver.com>,
Michal Marek <mmarek@...e.cz>, linux-kbuild@...r.kernel.org,
Richard Tartler <Reinhard.Tartler@...ormatik.uni-erlangen.de>,
Darren Hart <dvhart@...ux.intel.com>
Subject: [PATCH 1/2] merge_config.sh: use signal names compatible with dash and bash
The SIGHUP SIGINT and SIGTERM names caused failures when running
merge_config.sh with the dash shell. Dropping the "SIG" component
makes the script work in both bash and dash.
Signed-off-by: Darren Hart <dvhart@...ux.intel.com>
---
scripts/kconfig/merge_config.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/scripts/kconfig/merge_config.sh b/scripts/kconfig/merge_config.sh
index 890276b..b91015d 100755
--- a/scripts/kconfig/merge_config.sh
+++ b/scripts/kconfig/merge_config.sh
@@ -24,7 +24,7 @@ clean_up() {
rm -f $TMP_FILE
exit
}
-trap clean_up SIGHUP SIGINT SIGTERM
+trap clean_up HUP INT TERM
usage() {
echo "Usage: $0 [OPTIONS] [CONFIG [...]]"
--
1.7.6.4
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists